Output format improvements for container io
Status: Resolved Start date: 10/26/2011
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.10

Description

it would be nice if either as a default or by configuration container io formats each entry on a new line. otherwise the output is hard to
read for long container entries.

Associated revisions

Revision 59259541 - 09/11/2013 09:55 AM - J. Wienke

fixes #680: improve printing of containers

ContainerlO now has stream operaters to control newline behavior when
printing containers. For map elements, pair formatting is now applied to

be controllable.

Merge branch 'enhancement-680'

Revision e3ef34ce - 09/30/2013 04:06 PM - Arne Nordmann

Fixed container style IO manipulator

- Was using pair-style_delete instead of container_style_delete, causing segfault in downstream project

refs #680

History

#1 - 09/10/2013 09:39 AM - J. Wienke

- Status changed from New to In Progress
- Assignee set to J. Wienke

- Target version set to rsb-0.10

#2 - 09/10/2013 04:55 PM - J. Wienke

- % Done changed from 0 to 60

| have added proposed patches to a feature branch. Jan, do you think that is ok?

#3 - 09/10/2013 05:01 PM - J. Moringen

| only looked briefly, but it seems ok.
#4 - 09/11/2013 10:18 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 60 to 100

Applied in changeset rsclcommit:59259541c1d1918d684e054e376486b1940952¢3.
